Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/7
Addresses2^121
/64 networks2^57
Network
3a00::/7
First address
3a00::
Last address
3bff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
2,658,455,991,569,831,745,807,614,120,560,689,152 (2^121)
/64 networks (LANs)
144,115,188,075,855,872 (2^57)
Full form
3a00:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
a.3.ip6.arpa
b.3.ip6.arpa
/7 is not on a 4-bit boundary, so it takes 2 /8 zones.
Split into smaller subnets/16

3a00::/7 makes 512 subnets of /16; the first 256 are listed.

Subnets
#SubnetLast address
13a00::/163a00:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23a01::/163a01:ffff:ffff:ffff:ffff:ffff:ffff:ffff
33a02::/163a02:ffff:ffff:ffff:ffff:ffff:ffff:ffff
43a03::/163a03:ffff:ffff:ffff:ffff:ffff:ffff:ffff
53a04::/163a04:ffff:ffff:ffff:ffff:ffff:ffff:ffff
63a05::/163a05:ffff:ffff:ffff:ffff:ffff:ffff:ffff
73a06::/163a06:ffff:ffff:ffff:ffff:ffff:ffff:ffff
83a07::/163a07:ffff:ffff:ffff:ffff:ffff:ffff:ffff
93a08::/163a08:ffff:ffff:ffff:ffff:ffff:ffff:ffff
103a09::/163a09:ffff:ffff:ffff:ffff:ffff:ffff:ffff
113a0a::/163a0a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
123a0b::/163a0b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
133a0c::/163a0c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
143a0d::/163a0d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
153a0e::/163a0e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
163a0f::/163a0f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
173a10::/163a10:ffff:ffff:ffff:ffff:ffff:ffff:ffff
183a11::/163a11:ffff:ffff:ffff:ffff:ffff:ffff:ffff
193a12::/163a12:ffff:ffff:ffff:ffff:ffff:ffff:ffff
203a13::/163a13:ffff:ffff:ffff:ffff:ffff:ffff:ffff
213a14::/163a14:ffff:ffff:ffff:ffff:ffff:ffff:ffff
223a15::/163a15:ffff:ffff:ffff:ffff:ffff:ffff:ffff
233a16::/163a16:ffff:ffff:ffff:ffff:ffff:ffff:ffff
243a17::/163a17:ffff:ffff:ffff:ffff:ffff:ffff:ffff
253a18::/163a18:ffff:ffff:ffff:ffff:ffff:ffff:ffff
263a19::/163a19:ffff:ffff:ffff:ffff:ffff:ffff:ffff
273a1a::/163a1a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
283a1b::/163a1b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
293a1c::/163a1c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
303a1d::/163a1d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
313a1e::/163a1e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
323a1f::/163a1f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
333a20::/163a20:ffff:ffff:ffff:ffff:ffff:ffff:ffff
343a21::/163a21:ffff:ffff:ffff:ffff:ffff:ffff:ffff
353a22::/163a22:ffff:ffff:ffff:ffff:ffff:ffff:ffff
363a23::/163a23:ffff:ffff:ffff:ffff:ffff:ffff:ffff
373a24::/163a24:ffff:ffff:ffff:ffff:ffff:ffff:ffff
383a25::/163a25:ffff:ffff:ffff:ffff:ffff:ffff:ffff
393a26::/163a26:ffff:ffff:ffff:ffff:ffff:ffff:ffff
403a27::/163a27:ffff:ffff:ffff:ffff:ffff:ffff:ffff
413a28::/163a28:ffff:ffff:ffff:ffff:ffff:ffff:ffff
423a29::/163a29:ffff:ffff:ffff:ffff:ffff:ffff:ffff
433a2a::/163a2a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
443a2b::/163a2b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
453a2c::/163a2c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
463a2d::/163a2d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
473a2e::/163a2e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
483a2f::/163a2f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
493a30::/163a30:ffff:ffff:ffff:ffff:ffff:ffff:ffff
503a31::/163a31:ffff:ffff:ffff:ffff:ffff:ffff:ffff
513a32::/163a32:ffff:ffff:ffff:ffff:ffff:ffff:ffff
523a33::/163a33:ffff:ffff:ffff:ffff:ffff:ffff:ffff
533a34::/163a34:ffff:ffff:ffff:ffff:ffff:ffff:ffff
543a35::/163a35:ffff:ffff:ffff:ffff:ffff:ffff:ffff
553a36::/163a36:ffff:ffff:ffff:ffff:ffff:ffff:ffff
563a37::/163a37:ffff:ffff:ffff:ffff:ffff:ffff:ffff
573a38::/163a38:ffff:ffff:ffff:ffff:ffff:ffff:ffff
583a39::/163a39:ffff:ffff:ffff:ffff:ffff:ffff:ffff
593a3a::/163a3a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
603a3b::/163a3b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
613a3c::/163a3c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
623a3d::/163a3d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
633a3e::/163a3e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
643a3f::/163a3f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
653a40::/163a40:ffff:ffff:ffff:ffff:ffff:ffff:ffff
663a41::/163a41:ffff:ffff:ffff:ffff:ffff:ffff:ffff
673a42::/163a42:ffff:ffff:ffff:ffff:ffff:ffff:ffff
683a43::/163a43:ffff:ffff:ffff:ffff:ffff:ffff:ffff
693a44::/163a44:ffff:ffff:ffff:ffff:ffff:ffff:ffff
703a45::/163a45:ffff:ffff:ffff:ffff:ffff:ffff:ffff
713a46::/163a46:ffff:ffff:ffff:ffff:ffff:ffff:ffff
723a47::/163a47:ffff:ffff:ffff:ffff:ffff:ffff:ffff
733a48::/163a48:ffff:ffff:ffff:ffff:ffff:ffff:ffff
743a49::/163a49:ffff:ffff:ffff:ffff:ffff:ffff:ffff
753a4a::/163a4a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
763a4b::/163a4b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
773a4c::/163a4c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
783a4d::/163a4d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
793a4e::/163a4e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
803a4f::/163a4f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
813a50::/163a50:ffff:ffff:ffff:ffff:ffff:ffff:ffff
823a51::/163a51:ffff:ffff:ffff:ffff:ffff:ffff:ffff
833a52::/163a52:ffff:ffff:ffff:ffff:ffff:ffff:ffff
843a53::/163a53:ffff:ffff:ffff:ffff:ffff:ffff:ffff
853a54::/163a54:ffff:ffff:ffff:ffff:ffff:ffff:ffff
863a55::/163a55:ffff:ffff:ffff:ffff:ffff:ffff:ffff
873a56::/163a56:ffff:ffff:ffff:ffff:ffff:ffff:ffff
883a57::/163a57:ffff:ffff:ffff:ffff:ffff:ffff:ffff
893a58::/163a58:ffff:ffff:ffff:ffff:ffff:ffff:ffff
903a59::/163a59:ffff:ffff:ffff:ffff:ffff:ffff:ffff
913a5a::/163a5a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
923a5b::/163a5b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
933a5c::/163a5c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
943a5d::/163a5d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
953a5e::/163a5e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
963a5f::/163a5f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
973a60::/163a60:ffff:ffff:ffff:ffff:ffff:ffff:ffff
983a61::/163a61:ffff:ffff:ffff:ffff:ffff:ffff:ffff
993a62::/163a62:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1003a63::/163a63:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1013a64::/163a64:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1023a65::/163a65:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1033a66::/163a66:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1043a67::/163a67:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1053a68::/163a68:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1063a69::/163a69:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1073a6a::/163a6a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1083a6b::/163a6b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1093a6c::/163a6c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1103a6d::/163a6d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1113a6e::/163a6e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1123a6f::/163a6f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1133a70::/163a70:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1143a71::/163a71:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1153a72::/163a72:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1163a73::/163a73:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1173a74::/163a74:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1183a75::/163a75:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1193a76::/163a76:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1203a77::/163a77:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1213a78::/163a78:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1223a79::/163a79:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1233a7a::/163a7a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1243a7b::/163a7b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1253a7c::/163a7c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1263a7d::/163a7d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1273a7e::/163a7e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1283a7f::/163a7f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1293a80::/163a80:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1303a81::/163a81:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1313a82::/163a82:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1323a83::/163a83:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1333a84::/163a84:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1343a85::/163a85:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1353a86::/163a86:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1363a87::/163a87:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1373a88::/163a88:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1383a89::/163a89:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1393a8a::/163a8a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1403a8b::/163a8b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1413a8c::/163a8c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1423a8d::/163a8d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1433a8e::/163a8e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1443a8f::/163a8f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1453a90::/163a90:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1463a91::/163a91:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1473a92::/163a92:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1483a93::/163a93:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1493a94::/163a94:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1503a95::/163a95:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1513a96::/163a96:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1523a97::/163a97:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1533a98::/163a98:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1543a99::/163a99:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1553a9a::/163a9a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1563a9b::/163a9b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1573a9c::/163a9c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1583a9d::/163a9d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1593a9e::/163a9e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1603a9f::/163a9f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1613aa0::/163aa0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1623aa1::/163aa1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1633aa2::/163aa2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1643aa3::/163aa3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1653aa4::/163aa4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1663aa5::/163aa5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1673aa6::/163aa6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1683aa7::/163aa7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1693aa8::/163aa8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1703aa9::/163aa9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1713aaa::/163aaa:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1723aab::/163aab:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1733aac::/163aac:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1743aad::/163aad:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1753aae::/163aae:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1763aaf::/163aaf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1773ab0::/163ab0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1783ab1::/163ab1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1793ab2::/163ab2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1803ab3::/163ab3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1813ab4::/163ab4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1823ab5::/163ab5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1833ab6::/163ab6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1843ab7::/163ab7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1853ab8::/163ab8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1863ab9::/163ab9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1873aba::/163aba:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1883abb::/163abb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1893abc::/163abc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1903abd::/163abd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1913abe::/163abe:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1923abf::/163abf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1933ac0::/163ac0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1943ac1::/163ac1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1953ac2::/163ac2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1963ac3::/163ac3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1973ac4::/163ac4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1983ac5::/163ac5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1993ac6::/163ac6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2003ac7::/163ac7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2013ac8::/163ac8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2023ac9::/163ac9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2033aca::/163aca:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2043acb::/163acb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2053acc::/163acc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2063acd::/163acd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2073ace::/163ace:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2083acf::/163acf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2093ad0::/163ad0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2103ad1::/163ad1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2113ad2::/163ad2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2123ad3::/163ad3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2133ad4::/163ad4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2143ad5::/163ad5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2153ad6::/163ad6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2163ad7::/163ad7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2173ad8::/163ad8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2183ad9::/163ad9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2193ada::/163ada:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2203adb::/163adb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2213adc::/163adc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2223add::/163add:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2233ade::/163ade:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2243adf::/163adf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2253ae0::/163ae0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2263ae1::/163ae1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2273ae2::/163ae2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2283ae3::/163ae3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2293ae4::/163ae4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2303ae5::/163ae5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2313ae6::/163ae6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2323ae7::/163ae7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2333ae8::/163ae8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2343ae9::/163ae9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2353aea::/163aea:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2363aeb::/163aeb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2373aec::/163aec:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2383aed::/163aed:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2393aee::/163aee:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2403aef::/163aef:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2413af0::/163af0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2423af1::/163af1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2433af2::/163af2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2443af3::/163af3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2453af4::/163af4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2463af5::/163af5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2473af6::/163af6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2483af7::/163af7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2493af8::/163af8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2503af9::/163af9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2513afa::/163afa:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2523afb::/163afb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2533afc::/163afc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2543afd::/163afd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2553afe::/163afe:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2563aff::/163aff:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses